dpkg-genbuildinfo(1)

BEZEICHNUNG
dpkg-genbuildinfo - erstelle Debian-.buildinfo-Dateien

ÜBERSICHT
dpkg-genbuildinfo [Optionen …]

BESCHREIBUNG
dpkg-genbuildinfo liest Informationen aus einem entpackten und gebauten Debian-Quellcodebaum und aus den darin erzeugten Dateien und erzeugt eine Debian-Steuerdatei, die die Bauumgebung und Bauartefakte beschreibt (Datei .buildinfo).

Dieser Befehl wurde in Dpkg 1.18.11 hinzugefügt.

OPTIONEN

--build=Typ
    Spezifiziert den Bau-Typ aus einer Kommata-getrennten Liste von Komponenten. Die erlaubten Werte sind:

    any Erstellt Bauinformationen, die nicht qualifizerte Bauabhängigkeiten (Build-Depends) und architekturabhängige spezifische Bauabhängigkeiten (Build-Depends-Arch) enthalten.

    all Erstellt Bauinformationen, die nicht qualifizerte Bauabhängigkeiten (Build-Depends) und architekturunabhängige Bauabhängigkeiten (Build-Depends-Indep) enthalten.

    source
        Tatsächlich ignoriert; erstellt Bauinformationen mit nur den nicht qualifizierten Abhängigkeiten (Build-Depends).

    binary
        Erstellt Bauinformationen mit allen drei Arten von Bauabhängigkeiten. Dies ist ein Alias für any,all.

    full
        Erstellt Bauinformationen mit allen drei Arten von Bauabhängigkeiten. Dies ist ein Alias für any,all,source und identisch zum Standardfall, wenn keine Bauoptionen festgelegt werden.

-cSteuerdatei
    Gibt die Haupt-control-Datei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/control.

-lChangelog-Datei
    Gibt die Änderungsprotokolldatei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/changelog.

-fDateienlist-Datei
    Legt fest, wo die Liste der durch den Bau erstellten Dateien ist, statt debian/files zu verwenden.

-FChangelog-Format
    Spezifiziert das Format des Changelogs. Lesen Sie dpkg-parsechangelog(1) für Informationen über alternative Formate.

-O[Dateiname]
    Gibt die Buildinfo-Datei zur Standardausgabe (oder Dateiname, falls angegeben) aus, statt nach Verz/Quellname_Binärversion_Arch.buildinfo (wobei Verz standardmäßig .. oder Hochladedateiverzeichnis, falls -u verwandt wurde, ist).

-uHochladedateiverzeichnis
    Suche nach Dateien, die hochgeladen werden sollen, in Hochladedateiverzeichnis statt in .. (dpkg-genbuildinfo muss diese Dateien finden, so dass es ihre Größen und Prüfsummen in die .buildinfo-Datei aufnehmen kann.

--always-include-kernel
    By default, the Build-Kernel-Version field will not be written out. Specify this option (since dpkg 1.19.0) to always write a Build-Kernel-Version field when generating the .buildinfo.

--always-include-path
    Standardmäßig wird das Feld Build-Path nur geschrieben, falls das aktuelle Verzeichnis mit einem freigeschalteten Muster übereinstimmt. Unter Debian und abgeleiteten Distributionen passt das Muster auf /build/ am Anfang des Pfadnamens. Legen Sie diese Option fest, damit beim Erstellen der .buildinfo immer das Feld Build-Path geschrieben wird.

--admindir=Verz
    Ändert den Ablageort der dpkg-Datenbank. Der Standardort ist /var/lib/dpkg.

-q  dpkg-genbuildinfo könnte informative Meldungen auf die Standard-Fehlerausgabe schreiben. -q unterdrückt diese Meldungen.

-?, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

UMGEBUNG

DEB_BUILD_OPTIONS
    Diese Variable kann dazu verwandt werden, verschiedene Funktionalitäten, die die in der .buildinfo-Datei enthaltenen Informationen betreffen, über die Option buildinfo (seit Dpkg 1.18.19) ein- oder auszuschalten. Diese Option enthält eine Kommata-getrennte Liste von Funktionalitäten, denen die Modifikatoren ‚+’ oder ‚-’ vorangestellt sind, um anzuzeigen, ob sie ein- oder ausgeschaltet werden soll. Die besondere Funktionalität „all“ kann zum Ein- bzw. Ausschalten aller anderen Funktionalitäten verwandt werden. Die Funktionalität „path“ steuert, ob das Feld Build-Path bedingungslos aufgenmmen werden soll.

DATEIEN

debian/files
    Die Liste der erstellten Dateien. dpkg-genbuildinfo liest hier die Daten, wenn es die Datei .buildinfo erstellt.

SIEHE AUCH
deb-buildinfo(5).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.